Subject: Re: [patch net-next 01/16] net: introduce upper device lists

From: Nicolas de Pesloüan<[email-masked]>
Date: Wed, 15 Aug 2012 22:33:56 +0200

Le 13/08/2012 19:31, Jiri Pirko a écrit :
> Mon, Aug 13, 2012 at 07:04:11PM CEST, [email-masked] wrote:

>>> +struct netdev_upper {
>>> +	struct net_device *dev;
>>> +	bool unique;
>>
>> This needs a better name.  It doesn't really have anything to do with
>> uniqueness and doesn't ensure exclusivity.  I think that it would be
>> fine to keep the 'master' term.
>
> Hmm. I admit that "unique" I do not like too much as well. But "master"
> I like even less.
>
> This flag should ensure exclusivity. Only one upper device with this
> flag can be present at a time.

Well, can't we simply call it "upper_device"?

And as we only have a single field, this is exclusive by design.

	Nicolas.